#ifndef OITAUTOANALYSIS_H
#define OITAUTOANALYSIS_H

#include <QObject>

class OITAutoAnalysis : public QObject
{
    Q_OBJECT
public:
    const double ConDefaultXValue = -1.0;

    explicit OITAutoAnalysis(QObject *parent = nullptr);

    static OITAutoAnalysis* getInstance()
    {
        static OITAutoAnalysis instance;
        return &instance;
    }

      void analysis();
signals:
      void sigExperimentStop(const double x1,const double x2);
};

#endif // OITAUTOANALYSIS_H
